diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index 2085654a..d0dbad79 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -1,15 +1,16 @@
 define([
-  'sources/gettext', 'sources/url_for' ,'jquery', 'underscore', 'underscore.string', 'pgadmin.alertifyjs',
-  'sources/pgadmin','pgadmin.browser', 'backbone', 'backgrid', 'sources/../bundle/codemirror', 'backform',
-  'pgadmin.tools.debugger.ui',
-  'wcdocker', 'pgadmin.backform',
-  'pgadmin.backgrid'
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
+  'pgadmin.alertifyjs', 'sources/pgadmin', 'pgadmin.browser', 'backbone',
+  'pgadmin.backgrid', 'pgadmin.backform', 'sources/../bundle/codemirror',
+  'pgadmin.tools.debugger.ui', 'wcdocker',
 ], function(
-  gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
-  codemirror, Backform, debug_function_again
+  gettext, url_for, $, _, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
+  Backform, codemirror, debug_function_again
 ) {
 
-  var CodeMirror = codemirror.default;
+  var CodeMirror = codemirror.default,
+    wcDocker = window.wcDocker;
+
   if (pgAdmin.Browser.tree != null) {
     pgAdmin = pgAdmin || window.pgAdmin || {};
   }
@@ -19,7 +20,7 @@ define([
   if (pgTools.DirectDebug)
     return pgTools.DirectDebug;
 
-  var controller = new (function() {});
+  var controller = new(function() {});
 
   _.extend(
     controller, Backbone.Events, {
@@ -33,14 +34,12 @@ define([
         trans_id :- Unique Transaction ID, line_no - line no. to set the breakpoint, set_type = 0 - clear , 1 - set
       */
       set_breakpoint: function(trans_id, line_no, set_type) {
-        var self = this;
-
         // Make ajax call to set/clear the break point by user
         var baseUrl = url_for('debugger.set_breakpoint', {
-                        'trans_id': trans_id,
-                        'line_no': line_no,
-                        'set_type': set_type
-                      });
+          'trans_id': trans_id,
+          'line_no': line_no,
+          'set_type': set_type,
+        });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -49,12 +48,12 @@ define([
               // Breakpoint has been set by the user
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while setting debugging breakpoint.')
             );
-          }
+          },
         });
       },
 
@@ -72,22 +71,21 @@ define([
 
         for (var i = 0; i < br_list.length; i++) {
           if (br_list[i].linenumber != -1) {
-            breakpoint_list.push(br_list[i].linenumber)
+            breakpoint_list.push(br_list[i].linenumber);
           }
         }
 
-        for (var i = 0;i< breakpoint_list.length;i++) {
+        for (i = 0; i < breakpoint_list.length; i++) {
           var info = pgTools.DirectDebug.editor.lineInfo((breakpoint_list[i] - 1));
 
           if (info.gutterMarkers != undefined) {
-            pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), "breakpoints", null);
-          }
-          else {
-            pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), "breakpoints", function() {
-            var marker = document.createElement("div");
-            marker.style.color = "#822";
-            marker.innerHTML = "●";
-            return marker;
+            pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), 'breakpoints', null);
+          } else {
+            pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), 'breakpoints', function() {
+              var marker = document.createElement('div');
+              marker.style.color = '#822';
+              marker.innerHTML = '●';
+              return marker;
             }());
           }
         }
@@ -95,14 +93,13 @@ define([
 
       // Function to get the breakpoint information from the server
       GetBreakpointInformation: function(trans_id) {
-        var self = this;
         var result = '';
 
         // Make ajax call to listen the database message
         var baseUrl = url_for('debugger.execute_query', {
-                        'trans_id': trans_id,
-                        'query_type': 'get_breakpoints'
-                      });
+          'trans_id': trans_id,
+          'query_type': 'get_breakpoints',
+        });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -110,20 +107,19 @@ define([
           success: function(res) {
             if (res.data.status === 'Success') {
               result = res.data.result;
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while fetching breakpoint information.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while fetching breakpoint information.')
             );
-          }
+          },
         });
 
         return result;
@@ -134,10 +130,10 @@ define([
         var self = this;
         // Make ajax call to listen the database message
         var baseUrl = url_for(
-                        'debugger.start_execution', {
-                          'trans_id': trans_id,
-                          'port_num': port_num
-                      });
+          'debugger.start_execution', {
+            'trans_id': trans_id,
+            'port_num': port_num,
+          });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -145,20 +141,19 @@ define([
             if (res.data.status === 'Success') {
               // If status is Success then find the port number to attach the executer.
               self.execute_query(trans_id);
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while starting debugging session.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while starting debugging session.')
             );
-          }
+          },
         });
       },
 
@@ -167,20 +162,26 @@ define([
         var self = this;
         // Make ajax call to listen the database message
         var baseUrl = url_for(
-                        'debugger.execute_query', {
-                          'trans_id': trans_id,
-                          'query_type': 'wait_for_breakpoint'
-                      });
+          'debugger.execute_query', {
+            'trans_id': trans_id,
+            'query_type': 'wait_for_breakpoint',
+          });
         $.ajax({
           url: baseUrl,
           method: 'GET',
           success: function(res) {
             if (res.data.status === 'Success') {
               // set the return code to the code editor text area
-              if (res.data.result[0].src != null && res.data.result[0].linenumber != null) {
+              if (
+                res.data.result[0].src != null &&
+                res.data.result[0].linenumber != null
+              ) {
                 pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
-                var active_line_no = self.active_line_no = (res.data.result[0].linenumber - 2);
-                pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
+                self.active_line_no = (res.data.result[0].linenumber - 2);
+                pgTools.DirectDebug.editor.addLineClass(
+                  (res.data.result[0].linenumber - 2), 'wrap',
+                  'CodeMirror-activeline-background'
+                );
               }
 
               // Call function to create and update local variables ....
@@ -188,20 +189,19 @@ define([
               if (pgTools.DirectDebug.debug_type) {
                 self.poll_end_execution_result(trans_id);
               }
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing requested debugging information.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing requested debugging information.')
             );
-          }
+          },
         });
       },
 
@@ -211,10 +211,10 @@ define([
 
         // Make ajax call to listen the database message
         var baseUrl = url_for(
-                        'debugger.execute_query', {
-                          'trans_id': trans_id,
-                          'query_type': 'get_variables'
-                      });
+          'debugger.execute_query', {
+            'trans_id': trans_id,
+            'query_type': 'get_variables',
+          });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -230,20 +230,19 @@ define([
                 }
                 pgTools.DirectDebug.debug_restarted = false;
               }
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while fetching variable information.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while fetching variable information.')
             );
-          }
+          },
         });
       },
 
@@ -253,10 +252,10 @@ define([
 
         // Make ajax call to listen the database message
         var baseUrl = url_for(
-                        'debugger.execute_query', {
-                          'trans_id': trans_id,
-                          'query_type': 'get_stack_info'
-                      });
+          'debugger.execute_query', {
+            'trans_id': trans_id,
+            'query_type': 'get_stack_info',
+          });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -265,20 +264,19 @@ define([
               // Call function to create and update stack information
               self.AddStackInformation(res.data.result);
               self.GetLocalVariables(pgTools.DirectDebug.trans_id);
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while fetching stack information.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while fetching stack information.')
             );
-          }
+          },
         });
       },
 
